Subject: RE: linux-next: Signed-off-by missing for commit in the stm32 tree

From: Alexandre TORGUE <[email-masked]>
Date: Wed, 4 May 2022 08:27:17 +0000

Stephen

ST Restricted

> -----Original Message-----
> From: Stephen Rothwell <[email-masked]>
> Sent: Wednesday, May 4, 2022 9:42 AM
> To: Alexandre TORGUE <[email-masked]>
> Cc: Linux Kernel Mailing List <[email-masked]>; Linux 
> Next Mailing List <[email-masked]>
> Subject: Re: linux-next: Signed-off-by missing for commit in the stm32 
> tree
> 
> Hi Alexandre,
> 
> On Wed, 4 May 2022 07:28:53 +0000 Alexandre TORGUE 
> <[email-masked]> wrote:
> >
> > Actually this patch has been already merged in Rob tree. I just 
> > cherry-pick it in my tree to avoid a merge conflict later for other 
> > maintainers. So I didn't add my "Signed-off-by".
> 
> You should add a SOB for every patch you add to your published tree.
> That includes cherry-picked commits from other trees.
>

Ok I add it now and update the stm32-next branch.

> By the way, most maintainers (and Linus and I) are pretty adept at 
> sorting out merge conflicts (unless they are really complex, or 
> course, in which case you should probably have created a branch in one 
> fo the trees containing the conflicting commits from that tree and 
> then merge that branch into the both trees - and, of course, noted what is happening in the merge commits).
> --

I have no doubt that you could have fixed it 😊. It was also easier for me to add my changes on top of it.

Cheers
Alex 

> Cheers,
> Stephen Rothwell